<table class="table table-striped mt-5">
  <thead>
    <tr class="text-center">
      <th scope="col">N°</th>
      <th scope="col">Pais</th>
      <th scope="col"></th>
    </tr>
  </thead>
  <tbody>
    <tr class="text-center" *ngFor="let pais of paises; index as i">
      <th scope="row">{{i + 1}}</th>
      <td>{{pais.name}}</td>
      <td class="d-flex justify-content-center">
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"
          (click)="imprime(pais)">
          Datos
        </button>
      </td>
    </tr>
  </tbody>
</table>

<div class="modal fade" id="exampleModal" data-backdrop="static" tabindex="-1" role="dialog"
  aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Datos del pais: {{paisModal.name}}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="alert alert-primary" role="alert">
          Abreviación: {{paisModal.alpha3Code}}
        </div>
        <div class="alert alert-primary" role="alert">
          Capital: {{paisModal.capital}}
        </div>
        <div class="alert alert-primary" role="alert">
          Región: {{paisModal.region}}
        </div>
        <div class="alert alert-primary" role="alert">
          Subregión: {{paisModal.subregion}}
        </div>
        <div class="alert alert-primary" role="alert">
          Denominación: {{paisModal.demonym}}
        </div>
        <div class="alert alert-secondary" role="alert">
          Población: {{paisModal.population}}
        </div>
        <div class="alert alert-secondary mb-0" role="alert">
          Área: {{paisModal.area}}
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
